cmake_minimum_required(VERSION 3.15...4.0)
project(amachine LANGUAGES CXX)

find_package(Python COMPONENTS Interpreter Development.Module REQUIRED)
find_package(nanobind CONFIG REQUIRED)

nanobind_add_module(
    _am_fast
    NB_STATIC
    src/amachine/am_fast/am_fast.cpp
)

install(TARGETS _am_fast
    LIBRARY DESTINATION amachine/am_fast
)